-- 5 point Armour Training changes
local armour_training = Talents:getTalentFromId(Talents.T_ARMOUR_TRAINING)
armour_training.points = 5
armour_training.require = {stat = {str = function(level) return 16 + (level + 2) * (level - 1) end}}
armour_training.getArmorHardiness = function(self, t) return self:getTalentLevel(t) * 10 end
armour_training.getArmor = function(self, t) return self:getTalentLevel(t) * 2.8 end
armour_training.getCriticalChanceReduction = function(self, t) return self:getTalentLevel(t) * 3.8 end
armour_training.info = function(self, t)
	local hardiness = t.getArmorHardiness(self, t)
	local armor = t.getArmor(self, t)
	local criticalreduction = t.getCriticalChanceReduction(self, t)
	local classrestriction = ""
	if self.descriptor and self.descriptor.subclass == "Brawler" then
		classrestriction = "(Note that brawlers will be unable to perform many of their talents in massive armour.)"
	end
	if self:knowTalent(self.T_STEALTH) then
		classrestriction = "(Note that wearing mail or plate armour will interfere with stealth.)"
	end
	return ([[Teaches the usage of armours. Increases armour value by %d, armour hardiness by %d%%, and reduces chance to be critically hit by %d%% when wearing heavy mail or massive plate armour.
At level 1 it allows you to wear heavy mail armour, gauntlets, helms, and heavy boots.
At level 2 it allows you to wear shields.
At level 3 it allows you to wear massive plate armour.
%s]]):format(armor, hardiness, criticalreduction, classrestriction)
end